(function ($, once) {

  Drupal.behaviors.dropDownTable = {
    attach: function (context, settings) {

      // Find out a table responsive on a page.
      $(once('dropDownTable', '.table-responsive', context)).each(function () {
        var $currentTableResponsive = $(this);
        var $dropDownToggle = $currentTableResponsive.find('.dropdown-toggle');

        // Props of the table responsive element.
        var $currentTableResponsiveTop = $currentTableResponsive.offset().top;
        var $currentTableResponsiveHeight = $currentTableResponsive.innerHeight();

        $dropDownToggle.each(function () {
          var $this = $(this);
          var $dropDownList = $this.next();

          // Props of the dropdown toggle/menu elemnts.
          var $dropdownHeight = $dropDownList.outerHeight();
          var $dropdownTop = $this.offset().top - $currentTableResponsiveTop;

          if($dropDownList.hasClass('dropdown-menu')) {
            if ($currentTableResponsiveHeight - $dropdownTop < $dropdownHeight) {
              $dropDownList.css({'bottom': '100%', 'top': 'auto'});
            } else {
              $dropDownList.css({'bottom': 'auto', 'top': '100%'});
            }
          }
        })
      });

    }
  }

})(jQuery, once);
